CVE-2019-9794

CRITICAL
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

A vulnerability was discovered where specific command line arguments are not properly discarded during Firefox invocation as a shell handler for URLs. This could be used to retrieve and execute files whose location is supplied through these command line arguments if Firefox is configured as the default URI handler for a given URI scheme in third party applications and these applications insufficiently sanitize URL data. *Note: This issue only affects Windows operating systems. Other operating systems are unaffected.*. This vulnerability affects Thunderbird < 60.6, Firefox ESR < 60.6, and Firefox < 66.

References

https://www.mozilla.org/security/advisories/mfsa2019-11/

https://www.mozilla.org/security/advisories/mfsa2019-08/

https://www.mozilla.org/security/advisories/mfsa2019-07/

https://bugzilla.mozilla.org/show_bug.cgi?id=1530103

Details

Source: MITRE

Published: 2019-04-26

Updated: 2021-07-21

Type: CWE-20

Risk Information

CVSS v2

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

CVSS v3

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 3.9

Severity: CRITICAL

Tenable Plugins

View all (13 total)

IDNameProductFamilySeverity
123817openSUSE Security Update : MozillaThunderbird (openSUSE-2019-1162)NessusSuSE Local Security Checks
critical
123781SUSE SLED15 / SLES15 Security Update : MozillaFirefox (SUSE-SU-2019:0871-1)NessusSuSE Local Security Checks
critical
123747SUSE SLED12 / SLES12 Security Update : MozillaFirefox (SUSE-SU-2019:0852-1)NessusSuSE Local Security Checks
critical
123541openSUSE Security Update : MozillaFirefox (openSUSE-2019-1077)NessusSuSE Local Security Checks
critical
700487Mozilla Firefox < 66.0 Multiple VulnerabilitiesNessus Network MonitorWeb Clients
critical
123507Mozilla Thunderbird < 60.6NessusWindows
critical
123506Mozilla Thunderbird < 60.6NessusMacOS X Local Security Checks
critical
123438openSUSE Security Update : MozillaFirefox (openSUSE-2019-1056)NessusSuSE Local Security Checks
critical
122959FreeBSD : mozilla -- multiple vulnerabilities (05da6b56-3e66-4306-9ea3-89fafe939726)NessusFreeBSD Local Security Checks
critical
122950Mozilla Firefox ESR < 60.6NessusWindows
critical
122949Mozilla Firefox ESR < 60.6NessusMacOS X Local Security Checks
critical
122948Mozilla Firefox < 66.0NessusWindows
critical
122947Mozilla Firefox < 66.0NessusMacOS X Local Security Checks
critical